Process a FilterReader chain.

Here, the interesting method is 'getAssembledReader'. The purpose of this one is to create a simple Reader object which apply all filters on another primary Reader object.

For example : In copyFile (phing.util.FileUtils) the primary Reader is a FileReader object (more accuratly, a BufferedReader) previously setted for the source file to copy. So, consider this filterchain :

    <filterchain>
       <stripphpcomments />
       <linecontains>
           <contains value="foo">
       </linecontains>
     <tabtospaces tablength="8" />

</filterchain>

getAssembledReader will return a Reader object wich read on each of these filters. Something like this : ('->' = 'which read data from') :

[TABTOSPACES] -> [LINECONTAINS] -> [STRIPPHPCOMMENTS] -> [FILEREADER] (primary reader)

So, getAssembledReader will return the TABTOSPACES Reader object. Then each read done with this Reader object will follow this path.

Hope this explanation is clear :)

TODO: Implement the classPath feature.

author | <a href="mailto:yl@seasonfive.com">Yannick Lecaillez</a>
version | $Id$
access | public
package | phing.filters.util

### Methods

## getAssembledReader()

    getAssembledReader()

## getProject()

    getProject()

## setBufferSize()

    setBufferSize($size)

### Parameters

#### $size

## setFilterChains()

    setFilterChains($fchain)

### Parameters

#### $fchain

## setPrimaryReader()

    setPrimaryReader(\Reader $reader)

### Parameters

#### $reader

## setProject()

    setProject(\Project $project)

### Parameters

#### $project

### Properties

##

    $bufferSize

##

    $filterChains

##

    $primaryReader

##

    $project